## nvidia-xconfig 460.32.03

=== debian/changelog ===
nvidia-xconfig (460.32.03-1) unstable; urgency=medium

  * New upstream release.
  * Restore hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Jan 2021 18:24:47 +0100

nvidia-xconfig (455.45.01-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Jan 2021 15:22:37 +0100

nvidia-xconfig (450.66-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.
  * Update Lintian overrides.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Sep 2020 23:49:31 +0200

nvidia-xconfig (450.57-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat (= 13).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jul 2020 15:53:05 +0200

=== debian/control ===
Source: nvidia-xconfig
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.18.8),
 m4,
 pkg-config,
 xserver-xorg-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://download.nvidia.com/XFree86/nvidia-xconfig/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-xconfig
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-xconfig.git

Package: nvidia-xconfig
Architecture: i386 amd64 armhf
Pre-Depends: nvidia-installer-cleanup
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: nvidia-driver-any
Description: deprecated X configuration tool for non-free NVIDIA drivers
 This tool is deprecated. The NVIDIA drivers now automatically integrate with
 the Xorg Xserver configuration. Creating an xorg.conf is no longer needed for
 normal setups.
 .
 The nvidia-xconfig program helps with manipulation of X configuration
 files, primarily for systems that use the non-free drivers provided by
 NVIDIA.  It automatically changes the configuration to use the NVIDIA
 driver and can add additional options given on the command line.

## nvidia-xconfig 470.103.01

=== Makefile ===
#
# nvidia-xconfig: A tool for manipulating X config files,
# specifically for use by the NVIDIA Linux graphics driver.
#
# Copyright (C) 2008 NVIDIA Corporation
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses>.
#
#
# Makefile
#


##############################################################################
# include common variables and functions
##############################################################################

include utils.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

NVIDIA_CFG_DIR        ?= .


##############################################################################
# assign variables
##############################################################################

NVIDIA_XCONFIG = $(OUTPUTDIR)/nvidia-xconfig

NVIDIA_XCONFIG_PROGRAM_NAME = "nvidia-xconfig"

NVIDIA_XCONFIG_VERSION := $(NVIDIA_VERSION)

MANPAGE_GZIP ?= 1

MANPAGE_not_gzipped  = $(OUTPUTDIR)/nvidia-xconfig.1
MANPAGE_gzipped      = $(OUTPUTDIR)/nvidia-xconfig.1.gz
ifeq ($(MANPAGE_GZIP),1)
  MANPAGE            = $(MANPAGE_gzipped)
else
  MANPAGE            = $(MANPAGE_not_gzipped)
endif
GEN_MANPAGE_OPTS   = $(OUTPUTDIR_ABSOLUTE)/gen-manpage-opts
OPTIONS_1_INC      = $(OUTPUTDIR)/options.1.inc


##############################################################################
# The common-utils directory may be in one of two places: either
# elsewhere in the driver source tree when building nvidia-xconfig as
# part of the NVIDIA driver build (in which case, COMMON_UTILS_DIR
# should be defined by the calling makefile), or directly in the
# source directory when building from the nvidia-xconfig source
# tarball (in which case, the below conditional assignment should be
# used)
##############################################################################

COMMON_UTILS_DIR          ?= common-utils

include dist-files.mk

include $(COMMON_UTILS_DIR)/src.mk
SRC += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

OBJS = $(call BUILD_OBJECT_LIST,$(SRC))

common_cflags += -I XF86Config-parser
common_cflags += -I $(OUTPUTDIR)
common_cflags += -I $(NVIDIA_CFG_DIR)
common_cflags += -I $(COMMON_UTILS_DIR)
common_cflags += -DPROGRAM_NAME=\"nvidia-xconfig\"

CFLAGS += $(common_cflags)
HOST_CFLAGS += $(common_cflags)

LIBS += -lm

ifneq ($(TARGET_OS),FreeBSD)
  LIBS += -ldl
endif

ifeq ($(TARGET_OS),SunOS)
  LIBS += -lscf
endif


##############################################################################
# build rules
##############################################################################

.PNONY: all install NVIDIA_XCONFIG_install MANPAGE_install clean clobber

all: $(NVIDIA_XCONFIG) $(MANPAGE)

install: NVIDIA_XCONFIG_install MANPAGE_install

NVIDIA_XCONFIG_install: $(NVIDIA_XCONFIG)
	$(MKDIR) $(BINDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)

MANPAGE_install: $(MANPAGE)
	$(MKDIR) $(MANDIR)
	$(INSTALL) $(INSTALL_DOC_ARGS) $< $(MANDIR)/$(notdir $<)

$(eval $(call DEBUG_INFO_RULES, $(NVIDIA_XCONFIG)))
$(NVIDIA_XCONFIG).unstripped: $(OBJS)
	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
	    -o $@ $(OBJS) $(LIBS)

# define the rule to build each object file
$(foreach src, $(SRC), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

clean clobber:
	$(RM) -rf $(NVIDIA_XCONFIG) $(MANPAGE) *~ \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)


##############################################################################
# Documentation
##############################################################################

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO-GENERATED!  Edit $< instead."

doc: $(MANPAGE)

GEN_MANPAGE_OPTS_SRC  = gen-manpage-opts.c
GEN_MANPAGE_OPTS_SRC += $(COMMON_UTILS_DIR)/gen-manpage-opts-helper.c

GEN_MANPAGE_OPTS_OBJS = $(call BUILD_OBJECT_LIST,$(GEN_MANPAGE_OPTS_SRC))

$(foreach src, $(GEN_MANPAGE_OPTS_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE,HOST,$(src))))

$(GEN_MANPAGE_OPTS): $(GEN_MANPAGE_OPTS_OBJS)
	$(call quiet_cmd,HOST_LINK) \
	    $(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@

$(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
	@$< > $@

$(MANPAGE_not_gzipped): nvidia-xconfig.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
	$(call quiet_cmd,M4) -D__HEADER__=$(AUTO_TEXT) -I $(OUTPUTDIR) \
	  -D__VERSION__=$(NVIDIA_VERSION) \
	  -D__DATE__="`$(DATE) +%F`" \
	  -D__BUILD_OS__=$(TARGET_OS) \
	  $< > $@

$(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
	$(GZIP_CMD) -9nf < $< > $@

=== debian/changelog ===
nvidia-xconfig (470.103.01-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Mar 2022 23:46:09 +0100

nvidia-xconfig (470.103.01-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Feb 2022 12:09:14 +0100

nvidia-xconfig (470.82.00-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Nov 2021 16:04:21 +0100

nvidia-xconfig (470.57.02-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Aug 2021 13:02:45 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  pkg-config,
  xserver-xorg-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-xconfig
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-xconfig.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR=\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
export HOST_CC_ONLY_CFLAGS	 = $(CPPFLAGS)
# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
export OUTPUTDIR         = _out/debian

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif


%:
	dh $@

execute_after_dh_auto_clean:
	$(RM) -r _out

=== debian/watch ===
version=4

https://download.nvidia.com/XFree86/nvidia-xconfig/nvidia-xconfig-(.*).tar.(?:gz|bz2)

## nvidia-xconfig 520.56.06

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 # include common variables and functions
 ##############################################################################
 
+COMMON_UTILS_PCIACCESS = 1
 include utils.mk
 
 
@@ -87,14 +88,14 @@
 CFLAGS += $(common_cflags)
 HOST_CFLAGS += $(common_cflags)
 
-LIBS += -lm
+LIBS += -lm -lpciaccess
 
 ifneq ($(TARGET_OS),FreeBSD)
   LIBS += -ldl
 endif
 
 ifeq ($(TARGET_OS),SunOS)
-  LIBS += -lscf
+  LIBS += -lscf -ldevinfo
 endif
 
 
@@ -119,7 +120,10 @@
 $(eval $(call DEBUG_INFO_RULES, $(NVIDIA_XCONFIG)))
 $(NVIDIA_XCONFIG).unstripped: $(OBJS)
 	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
-	    -o $@ $(OBJS) $(LIBS)
+	    $(PCIACCESS_LDFLAGS) -o $@ $(OBJS) $(LIBS)
+
+# make_usable.c includes pciaccess.h
+$(call BUILD_OBJECT_LIST,make_usable.c): CFLAGS += $(PCIACCESS_CFLAGS)
 
 # define the rule to build each object file
 $(foreach src, $(SRC), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

=== debian/changelog ===
nvidia-xconfig (520.56.06-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Feb 2023 11:00:25 +0100

nvidia-xconfig (515.86.01-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Jan 2023 03:05:15 +0100

nvidia-xconfig (510.108.03-1) unstable; urgency=medium

  * New upstream release.
  * Do not build for armhf and i386.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 12:14:19 +0100

nvidia-xconfig (510.85.02-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Oct 2022 15:44:22 +0200

nvidia-xconfig (470.129.06-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.
  * Add salsa-ci.yml.
  * Bump Standards-Version to 4.6.1. No changes needed.

  [ Luca Boccassi ]
  * Add patch to fix manpage build reproducibility.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 15:07:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,17 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dpkg-dev (>= 1.18.8),
  m4,
  pkg-config,
  xserver-xorg-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-xconfig
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-xconfig.git
 
 Package: nvidia-xconfig
-Architecture: i386 amd64 armhf
+Architecture: amd64
 Pre-Depends: nvidia-installer-cleanup
 Depends:
  ${shlibs:Depends},

## nvidia-xconfig 525.85.05

=== debian/changelog ===
nvidia-xconfig (525.85.05-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Feb 2023 10:43:28 +0100

## nvidia-xconfig 535.171.04

=== debian/changelog ===
nvidia-xconfig (535.171.04-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Mar 2024 16:58:37 +0100

nvidia-xconfig (535.171.04-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2024 11:01:38 +0100

nvidia-xconfig (530.41.03-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Mar 2024 18:19:15 +0100

nvidia-xconfig (525.147.05-1) unstable; urgency=medium

  * New upstream release.
  * Switch B-D from pkg-config to pkgconf.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Feb 2024 01:00:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  m4,
- pkg-config,
+ pkgconf,
  xserver-xorg-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

## nvidia-xconfig 535.230.02

=== debian/changelog ===
nvidia-xconfig (535.230.02-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 20 Feb 2025 22:05:48 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pkgconf,
  xserver-xorg-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Homepage: https://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-xconfig
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-xconfig.git

## nvidia-xconfig 550.163.01

=== debian/changelog ===
nvidia-xconfig (550.163.01-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 May 2025 22:30:51 +0200

nvidia-xconfig (545.29.06-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 May 2025 19:21:23 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pkgconf,
  xserver-xorg-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-xconfig
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-xconfig.git
